Get sandbox metrics
curl --request GET \
--url https://api.e2b.app/sandboxes/{sandboxID}/metrics \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.e2b.app/sandboxes/{sandboxID}/metrics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.e2b.app/sandboxes/{sandboxID}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": "2023-11-07T05:31:56Z",
"timestampUnix": 123,
"cpuCount": 123,
"cpuUsedPct": 123,
"memUsed": 123,
"memTotal": 123,
"memCache": 123,
"diskUsed": 123,
"diskTotal": 123
}
]{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Sandboxes
Get sandbox metrics
Get sandbox metrics
GET
/
sandboxes
/
{sandboxID}
/
metrics
Get sandbox metrics
Authorizations
Path Parameters
Query Parameters
Unix timestamp for the start of the interval, in seconds, for which the metrics are returned.
Required range:
x >= 0Unix timestamp for the end of the interval, in seconds, for which the metrics are returned.
Required range:
x >= 0Response
Successfully returned the sandbox metrics
Timestamp of the metric entry
Timestamp of the metric entry in Unix time (seconds since epoch)
Number of CPU cores
CPU usage percentage
Memory used in bytes
Total memory in bytes
Cached memory (page cache) in bytes
Disk used in bytes
Total disk space in bytes
Was this page helpful?